View Issue Details

IDProjectCategoryView StatusLast Update
0000123Bacula-Webbug-phppublic2016-04-17 16:00
Reporterad_userAssigned Todavide 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version6.0.0 
Target Version6.0.1Fixed in Version6.0.1 
Summary0000123: Job summary shows as single line in joblogs.php
DescriptionSee title.

Patch included.
Steps To ReproduceJust open any log from successfully completed job.
TagsNo tags attached.

Relationships

duplicate of 0000121 closeddavide Job log not using
for EOL 

Activities

ad_user

2014-02-27 02:25

reporter  

multiline.patch (521 bytes)
diff -durN a/application/view/joblogs.tpl b/application/view/joblogs.tpl
--- a/application/view/joblogs.tpl	2013-11-12 03:06:40.000000000 +1100
+++ b/application/view/joblogs.tpl	2014-02-27 12:19:35.000000000 +1100
@@ -12,7 +12,7 @@
 	  {foreach from=$joblogs item=log}
 	  <tr class="{$log.class}">
 		<td width="150">{$log.time}</td>
-		<td class="left_align">{$log.logtext}</td>		
+		<td class="left_align">{$log.logtext|regex_replace:'/([\n\r]+)/':'<br/>$1'}</td>
 	  </tr>
           {foreachelse}
             <tr>
multiline.patch (521 bytes)

davide

2014-02-27 11:30

manager   ~0000382

Thanks for you patch.

davide

2014-02-27 11:31

manager   ~0000383

This bug would be fixed in next release.

Thanks again for your patch.

Regards

Davide

Issue History

Date Modified Username Field Change
2014-02-27 02:25 ad_user New Issue
2014-02-27 02:25 ad_user File Added: multiline.patch
2014-02-27 11:28 davide Assigned To => davide
2014-02-27 11:28 davide Status new => assigned
2014-02-27 11:28 davide Status assigned => confirmed
2014-02-27 11:29 davide Relationship added duplicate of 0000121
2014-02-27 11:30 davide Status confirmed => assigned
2014-02-27 11:30 davide Target Version => 6.0.1
2014-02-27 11:30 davide Note Added: 0000382
2014-02-27 11:31 davide Note Added: 0000383
2014-02-27 11:31 davide Status assigned => resolved
2014-02-27 11:31 davide Fixed in Version => 6.0.1
2014-02-27 11:31 davide Resolution open => fixed
2016-04-17 16:00 davide Status resolved => closed
2016-04-17 16:00 davide Category bug-html => bug-php